return {
  {
    "nvim-telescope/telescope.nvim",
    keys = {
      { "<leader>/", false },
      {
        "<leader>sf",
        function()
          require("telescope.builtin").find_files({
            find_command = { "fdfind", "--type", "f", "--exclude", "dist", "--exclude", "dist_prod" },
          })
        end,
        desc = "Find Files",
      },
      {
        "<leader>sg",
        function()
          require("telescope.builtin").live_grep({
            additional_args = function()
              return { "--glob", "!dist/*", "--glob", "!dist_prod/*" }
            end,
          })
        end,
        desc = "Live Grep",
      },
      {
        "<leader>sd",
        function()
          require("telescope.builtin").diagnostics()
        end,
        desc = "Live Grep",
      },
      {
        "gd",
        function()
          require("telescope.builtin").lsp_definitions({ include_declaration = false })
        end,
        desc = "Goto Definition",
        noremap = true,
        silent = true,
      },
      {
        "<leader><leader>",
        function()
          require("telescope.builtin").buffers()
        end,
        desc = "Buffers",
      },
    },
  },
}
